# EmailMessage

Namespace: **Wisej.Hybrid.Shared.Communication**

Assembly: **Wisej.Hybrid** (3.5.0.0)

Represents a single email message.

{% tabs %}
{% tab title="C#" %}

```csharp
public class EmailMessage
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class EmailMessage
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/CCV9PPenlC1YZvNh1I6R)EmailMessage()

Initializes a new instance of the [EmailMessage](/hybrid/start/api/communication/wisej.hybrid.shared.communication.emailmessage.md) class.

### ![](/files/CCV9PPenlC1YZvNh1I6R)EmailMessage(subject, body, to)

Initializes a new instance of the [EmailMessage](/hybrid/start/api/communication/wisej.hybrid.shared.communication.emailmessage.md) class with the specified subject, body, and recipients.

| Name        | Type                                                              | Description           |
| ----------- | ----------------------------------------------------------------- | --------------------- |
| **subject** | [String](https://docs.microsoft.com/dotnet/api/system.string)     | The email subject.    |
| **body**    | [String](https://docs.microsoft.com/dotnet/api/system.string)     | The email body.       |
| **to**      | [String\[\]](https://docs.microsoft.com/dotnet/api/system.string) | The email recipients. |

## Properties

### ![](/files/CCV9PPenlC1YZvNh1I6R)Bcc

[List\<String>](https://docs.microsoft.com/dotnet/api/system.collections.generic.list-1): Gets or sets the email's BCC (Blind Carbon Copy) recipients.

### ![](/files/CCV9PPenlC1YZvNh1I6R)Body

[String](https://docs.microsoft.com/dotnet/api/system.string): Gets or sets the email's body.

### ![](/files/CCV9PPenlC1YZvNh1I6R)BodyFormat

[EmailBodyFormat](https://docs.wisej.com/api?q=wisej.hybrid.shared.communication.emailbodyformat): Gets or sets a value indicating whether the message is in plain text or HTML.

[Html](#fields) is not supported on Windows.

### ![](/files/CCV9PPenlC1YZvNh1I6R)Cc

[List\<String>](https://docs.microsoft.com/dotnet/api/system.collections.generic.list-1): Gets or sets the email's CC (Carbon Copy) recipients.

### ![](/files/CCV9PPenlC1YZvNh1I6R)Subject

[String](https://docs.microsoft.com/dotnet/api/system.string): Gets or sets the email's subject.

### ![](/files/CCV9PPenlC1YZvNh1I6R)To

[List\<String>](https://docs.microsoft.com/dotnet/api/system.collections.generic.list-1): Gets or sets the email's recipients.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/hybrid/start/api/communication/wisej.hybrid.shared.communication.emailmessage.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
